Get Chain Details
curl --request GET \
--url https://api.adamik.io/api/chains/{chainId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.adamik.io/api/chains/{chainId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.adamik.io/api/chains/{chainId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chain": {
"family": "aptos",
"id": "aptos",
"nativeId": "<string>",
"name": "<string>",
"ticker": "<string>",
"decimals": 123,
"supportedFeatures": {
"read": {
"token": true,
"validators": true,
"transaction": {
"native": true,
"tokens": true,
"staking": true
},
"account": {
"balances": {
"native": true,
"tokens": true,
"staking": true
},
"transactions": {
"native": true,
"tokens": true,
"staking": true
}
}
},
"write": {
"transaction": {
"type": {
"deployAccount": true,
"transfer": true,
"transferToken": true,
"enableToken": true,
"stake": true,
"unstake": true,
"claimRewards": true,
"withdraw": true,
"registerStake": true,
"convertAsset": true
},
"field": {
"memo": true
}
}
},
"utils": {
"addresses": true
}
},
"signerSpec": {
"curve": "secp256k1",
"hashFunction": "sha256",
"signatureFormat": "rsv",
"coinType": "<string>"
},
"isTestnetFor": "<string>"
}
}Chain
Get Chain Details
Retrieves detailed information about a specific blockchain network identified by chain ID.
GET
/
api
/
chains
/
{chainId}
Get Chain Details
Authorizations
Path Parameters
Unique adamik identifier of the chain
Available options:
aptos, aptos-testnet, algorand, ethereum, sepolia, holesky, hoodi, zksync, zksync-sepolia, injective-evm-testnet, base, base-sepolia, optimism, optimism-sepolia, arbitrum, arbitrum-sepolia, polygon, polygon-amoy, bsc, bsc-testnet, linea, linea-sepolia, avalanche, avalanche-fuji, gnosis, gnosis-chiado, moonbeam, moonriver, moonbase, fantom, mantle, chiliz, chiliz-testnet, ton, tron, rootstock, rootstock-testnet, bitcoin, bitcoin-testnet, bitcoin-signet, litecoin, dogecoin, starknet, starknet-sepolia, monad-testnet, bitsong, chihuahua, seda, persistence, comdex, humans-ai, ki, provenance, quicksilver, saga, kava, sei, fetch-ai, cosmoshub, osmosis, celestia, dydx, axelar, evmos, irisnet, juno, lum-network, omniflix, medibloc, passage, quasar, sommelier, shentu, stride, terra2, akash, dymension, band, stargaze, kyve, likecoin, osmosis-testnet, celestia-testnet, cosmoshub-testnet, injective, babylon, babylon-testnet, berachain, berachain-bepolia, cronos, world-chain, world-chain-sepolia, hyperliquid, solana, stellar, stellar-testnet Response
200 - application/json
Successfully returns detailed data about the specified blockchain, including its identifier, name, family classification, supported units of currency, and additional configuration parameters.
Chain details and information
Show child attributes
Show child attributes
Was this page helpful?